<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildCacheConfiguration (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildCacheConfiguration (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/caching/configuration/BuildCacheConfiguration.html" target="_top">Frames</a></li>
<li><a href="BuildCacheConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.caching.configuration</div>
<h2 title="Interface BuildCacheConfiguration" class="title">Interface BuildCacheConfiguration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BuildCacheConfiguration</span></pre>
<div class="block">Configuration for the <a href="https://docs.gradle.org/current/userguide/build_cache.html">build cache</a> for an entire Gradle build.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#getLocal()">getLocal</a></strong>()</code>
<div class="block">Returns the local cache configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#getRemote()">getRemote</a></strong>()</code>
<div class="block">Returns the remote cache configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#local(org.gradle.api.Action)">local</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;configuration)</code>
<div class="block">Executes the given action against the local configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#local(java.lang.Class)">local</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Configures the local cache with the given type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#local(java.lang.Class,%20org.gradle.api.Action)">local</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type,
     <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super T&gt;&nbsp;configuration)</code>
<div class="block">Configures the local cache with the given type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;<br>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#registerBuildCacheService(java.lang.Class,%20java.lang.Class)">registerBuildCacheService</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;configurationType,
                         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching">BuildCacheServiceFactory</a>&lt;? super T&gt;&gt;&nbsp;buildCacheServiceFactoryType)</code>
<div class="block">Registers a custom build cache type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#remote(org.gradle.api.Action)">remote</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;configuration)</code>
<div class="block">Executes the given action against the currently configured remote cache.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#remote(java.lang.Class)">remote</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Configures a remote cache with the given type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html#remote(java.lang.Class,%20org.gradle.api.Action)">remote</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type,
      <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super T&gt;&nbsp;configuration)</code>
<div class="block">Configures a remote cache with the given type.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="registerBuildCacheService(java.lang.Class, java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerBuildCacheService</h4>
<pre>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;void&nbsp;registerBuildCacheService(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;configurationType,
                                                    <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching">BuildCacheServiceFactory</a>&lt;? super T&gt;&gt;&nbsp;buildCacheServiceFactoryType)</pre>
<div class="block">Registers a custom build cache type.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configurationType</code> - Configuration type used to provide parameters to a <a href="../../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching"><code>BuildCacheService</code></a></dd><dd><code>buildCacheServiceFactoryType</code> - Implementation type of <a href="../../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching"><code>BuildCacheServiceFactory</code></a> that is used to create a <code>BuildCacheService</code></dd></dl>
</li>
</ul>
<a name="getLocal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocal</h4>
<pre><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&nbsp;getLocal()</pre>
<div class="block">Returns the local cache configuration.</div>
</li>
</ul>
<a name="local(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>local</h4>
<pre>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;T&nbsp;local(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</pre>
<div class="block">Configures the local cache with the given type.

 <p>If a local build cache has already been configured with a different type, this method replaces it.</p>
 <p>Push is enabled by default for the local cache.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the type of local cache to configure.</dd></dl>
</li>
</ul>
<a name="local(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>local</h4>
<pre>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;T&nbsp;local(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type,
                             <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super T&gt;&nbsp;configuration)</pre>
<div class="block">Configures the local cache with the given type.

 <p>If a local build cache has already been configured with a different type, this method replaces it.</p>
 <p>If a local build cache has already been configured with the <b>same</b> type, this method configures it.</p>
 <p>Push is enabled by default for the local cache.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the type of local cache to configure.</dd><dd><code>configuration</code> - the configuration to execute against the remote cache.</dd></dl>
</li>
</ul>
<a name="local(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>local</h4>
<pre>void&nbsp;local(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;configuration)</pre>
<div class="block">Executes the given action against the local configuration.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configuration</code> - the action to execute against the local cache configuration.</dd></dl>
</li>
</ul>
<a name="getRemote()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemote</h4>
<pre><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&nbsp;getRemote()</pre>
<div class="block">Returns the remote cache configuration.</div>
</li>
</ul>
<a name="remote(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remote</h4>
<pre>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;T&nbsp;remote(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</pre>
<div class="block">Configures a remote cache with the given type.
 <p>
 If a remote build cache has already been configured with a different type, this method replaces it.
 </p>
 <p>
 Push is disabled by default for the remote cache.
 </p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the type of remote cache to configure.</dd></dl>
</li>
</ul>
<a name="remote(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remote</h4>
<pre>&lt;T extends <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;T&nbsp;remote(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type,
                              <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super T&gt;&nbsp;configuration)</pre>
<div class="block">Configures a remote cache with the given type.
 <p>
 If a remote build cache has already been configured with a <b>different</b> type, this method replaces it.
 </p>
 <p>
 If a remote build cache has already been configured with the <b>same</b>, this method configures it.
 </p>
 <p>
 Push is disabled by default for the remote cache.
 </p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the type of remote cache to configure.</dd><dd><code>configuration</code> - the configuration to execute against the remote cache.</dd></dl>
</li>
</ul>
<a name="remote(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>remote</h4>
<pre>void&nbsp;remote(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;&nbsp;configuration)</pre>
<div class="block">Executes the given action against the currently configured remote cache.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configuration</code> - the action to execute against the currently configured remote cache.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - If no remote cache has been assigned yet</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/caching/configuration/BuildCacheConfiguration.html" target="_top">Frames</a></li>
<li><a href="BuildCacheConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
